| Home | Libraries | People | FAQ | More

## Struct hash_function

boost::interprocess::iunordered_set_index_aux::hash_function

## Synopsis

    // In header: <boost/interprocess/indexes/iunordered_set_index.hpp>

    struct hash_function {

      // public member functions
      std::size_t operator()(const value_type &) const;
      std::size_t operator()(const intrusive_compare_key_type &) const;
    };

## Description

### `hash_function` public member functions

1.     std::size_t operator()(const value_type & val) const;

2.     std::size_t operator()(const intrusive_compare_key_type & i) const;